ONVIF::Analytics::Types::NetworkHost(3)

NAME
ONVIF::Analytics::Types::NetworkHost

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkHost from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Type

•   IPv4Address

•   IPv6Address

•   DNSname

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::NetworkHost
   Type => $some_value, # NetworkHostType
   IPv4Address => $some_value, # IPv4Address
   IPv6Address => $some_value, # IPv6Address
   DNSname => $some_value, # DNSName
   Extension =>  { # ONVIF::Analytics::Types::NetworkHostExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL